Loading...
Searching...
No Matches
pcl::internal Namespace Reference

## Classes

struct | cloud_point_index_idx
| Used internally in voxel grid classes. More...

## Functions

PCL_EXPORTS int | optimizeModelCoefficientsCone (Eigen::VectorXf &coeff, const Eigen::ArrayXf &pts_x, const Eigen::ArrayXf &pts_y, const Eigen::ArrayXf &pts_z)
PCL_EXPORTS int | optimizeModelCoefficientsCylinder (Eigen::VectorXf &coeff, const Eigen::ArrayXf &pts_x, const Eigen::ArrayXf &pts_y, const Eigen::ArrayXf &pts_z)
PCL_EXPORTS int | optimizeModelCoefficientsSphere (Eigen::VectorXf &coeff, const Eigen::ArrayXf &pts_x, const Eigen::ArrayXf &pts_y, const Eigen::ArrayXf &pts_z)

## Function Documentation

## optimizeModelCoefficientsCone()

PCL_EXPORTS int pcl::internal::optimizeModelCoefficientsCone | ( | Eigen::VectorXf & | coeff,
|  | const Eigen::ArrayXf & | pts_x,
|  | const Eigen::ArrayXf & | pts_y,
|  | const Eigen::ArrayXf & | pts_z )

Referenced by pcl::SampleConsensusModelCone< PointT, PointNT >::optimizeModelCoefficients().

## optimizeModelCoefficientsCylinder()

PCL_EXPORTS int pcl::internal::optimizeModelCoefficientsCylinder | ( | Eigen::VectorXf & | coeff,
|  | const Eigen::ArrayXf & | pts_x,
|  | const Eigen::ArrayXf & | pts_y,
|  | const Eigen::ArrayXf & | pts_z )

Referenced by pcl::SampleConsensusModelCylinder< PointT, PointNT >::optimizeModelCoefficients().

## optimizeModelCoefficientsSphere()

PCL_EXPORTS int pcl::internal::optimizeModelCoefficientsSphere | ( | Eigen::VectorXf & | coeff,
|  | const Eigen::ArrayXf & | pts_x,
|  | const Eigen::ArrayXf & | pts_y,
|  | const Eigen::ArrayXf & | pts_z )

Referenced by pcl::SampleConsensusModelSphere< PointT >::optimizeModelCoefficients().